Package com.databricks.jdbc.dbclient.impl.common

## Class DefaultDatabricksResultSetAdapter

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.common.DefaultDatabricksResultSetAdapter

    public class DefaultDatabricksResultSetAdapter
    extends Object

A default implementation of `IDatabricksResultSetAdapter` that performs identity mapping and permits all rows to pass through without any modifications.

### Constructor Summary

Constructors
`DefaultDatabricksResultSetAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods Default Methods
`boolean` `includeRow​(ResultSet resultSet, List<ResultColumn> columns)`
`ResultColumn` `mapColumn​(ResultColumn column)`
`default Object` `transformValue​(ResultColumn column, Object value)` Optional method to transform a value after it's retrieved from the result set.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultDatabricksResultSetAdapter

    public DefaultDatabricksResultSetAdapter()

### Method Detail

#### mapColumn

    public ResultColumn mapColumn​(ResultColumn column)

#### includeRow

    public boolean includeRow​(ResultSet resultSet,
                              List<ResultColumn> columns)
                       throws SQLException

Throws:
  `SQLException`

#### transformValue

    public default Object transformValue​(ResultColumn column,
                                         Object value)

Optional method to transform a value after it's retrieved from the result set.

Parameters:
  `column` - The column definition
  `value` - The value retrieved from the result set
Returns:
  The potentially transformed value